iPOS Transact
Sale-PaymentToken
POST/sale-paymenttoken

Submits a payment transaction request using a payment token ID . #### For Sale Transactions To perform a **Sale or Pre-Authorization** using the iPOS Transact API, you must include **one of the following**, depending on your flow: ** Using `paymentTokenId` **(FTD Only)** - `paymentTokenId` is generated by [Freedom to Design](https://docs.ipospays.com/freedom-to-design/apidocs#:~:text=Using%20the%20Payment%20Token%20ID) (FTD) - It is **ONE-TIME USE ONLY** - It **must** be passed to the **Transact API** **After the transaction:** A **Card Token / iPOS Token** is returned in the response. This returned token can be used for future transactions <Banner type="warning" > `paymentTokenId` cannot be reused for tokenized sales. </Banner>

Header Parameters

token*
string

Body Parameters

merchantAuthentication

merchantId
string
transactionReferenceId
string

preferences

eReceipt
boolean
customerName
string
customerEmail
string
customerMobile
string
requestCardToken
boolean

transactionRequest

amount
string
transactionType
number
paymentTokenId
string
applySteamSettingTipFeeTax
boolean

avs

StreetNo
string
Zip
string
POST/sale-paymenttoken
1curl --location 'https://payment.ipospays.tech/api/v3/iposTransact' \
2--header 'token: ' \
3--header 'Content-Type: application/json' \
4--data '{
5 "merchantAuthentication": {
6 "merchantId": "",
7 "transactionReferenceId": ""
8 },
9 "preferences": {
10 "eReceipt": true,
11 "customerName": "John Doe",
12 "customerEmail": "test@example.com",
13 "customerMobile": "+14242424243",
14 "requestCardToken": true
15 },
16 "transactionRequest": {
17 "amount": "1250",
18 "transactionType": 1,
19 "paymentTokenId": "pay_tok_v3_998877",
20 "applySteamSettingTipFeeTax": false
21 },
22 "avs": {
23 "StreetNo": "123 Main St",
24 "Zip": ""
25 }
26}'
Response

// Awaiting response…

Sample response
{
  "iposhpresponse": {
    "responseCode": "200",
    "responseMessage": "success",
    "errResponseCode": "",
    "errResponseMessage": "",
    "transactionReferenceId": "TXN1718000000123",
    "transactionType": "1",
    "transactionId": "TXID-11223344",
    "amount": "1250",
    "responseApprovalCode": "APP98765",
    "rrn": "219313501821",
    "transactionNumber": "4321",
    "batchNumber": "123",
    "customFee": "0",
    "totalAmount": "1250"
  }
}